Table of Contents

Class: Promise | Twisted-0.19.0/twisted/python/reflect.py
--- | ---
### I represent an object not yet available. Methods called on me will be queued and sent as soon as the object becomes available. Typically my __become__ method is registered as a callback with some event that will return my new identity.
Methods |
--- | ---
__become__ __getattr__ __init__
| __become__
    __become__ ( self,  new_self )
| __getattr__
    __getattr__ ( self,  key )
| __init__
    __init__ ( self )

Table of Contents

This document was automatically generated on Sun Jul 14 19:53:11 2002 by HappyDoc version 2.0